import '@kano/styles/color.js';
import '../kc-circle-progress/kc-circle-progress.js';
import { LitElement } from 'lit-element/lit-element.js';
import '../kano-blockly-block/kano-blockly-block.js';
import './kano-value-preview.js';
export declare class KCEditorBanner extends LitElement {
    text: string;
    progress: number;
    title: string;
    hintText: string;
    hintDisplayed: boolean;
    static readonly styles: import("lit-element").CSSResult[];
    renderHint(): import("lit-element").TemplateResult | undefined;
    render(): import("lit-element").TemplateResult;
}
